Loading...
Searching...
No Matches
CostScalingDefaultTraits< GR, V, C > Struct Template Reference

## Detailed Description

template<typename GR, typename V = int, typename C = V>
struct lemon::CostScalingDefaultTraits< GR, V, C >

Default traits class of CostScaling algorithm.

Template Parameters

  GR | Digraph type.
  V | The number type used for flow amounts, capacity bounds and supply values. By default it is `int`.
  C | The number type used for costs and potentials. By default it is the same as `V`.

`#include <lemon/cost_scaling.h>`

## Public Types

typedef GR | Digraph
| The type of the digraph.
typedef V | Value
| The type of the flow amounts, capacity bounds and supply values.
typedef C | Cost
| The type of the arc costs.
typedef double | LargeCost
| The large cost type used for internal computations.

## Member Typedef Documentation

## LargeCost

template<typename GR, typename V = int, typename C = V>

typedef double LargeCost

The large cost type used for internal computations. It is `long` `long` if the `Cost` type is integer, otherwise it is `double`. `Cost` must be convertible to `LargeCost`.